summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsqrlfish2016-10-04 20:28:13 +0200
committersqrlfish2016-10-04 20:28:13 +0200
commit905863f434035ff04ceb8fa41295c6402638a4fe (patch)
treeedb2caf3aae00dd1322b3e71c092a84aba9dae21
downloadaur-905863f434035ff04ceb8fa41295c6402638a4fe.tar.gz
Initial commit
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD43
2 files changed, 59 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c9090859ed6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = stream2chromecast-git
+ pkgdesc = Chromecast media streamer for Linux
+ pkgver = 0.6.2
+ pkgrel = 1
+ url = https://github.com/Pat-Carter/stream2chromecast
+ arch = any
+ license = GPL
+ depends = python2>=2.7.0
+ optdepends = ffmpeg: realtime transcoding support
+ provides = stream2chromecast
+ conflicts = stream2chromecast
+ source = git+https://github.com/Pat-Carter/stream2chromecast.git
+ sha256sums = SKIP
+
+pkgname = stream2chromecast-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..256ae455910
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,43 @@
+# Maintainer: sqrlfish at gmail dot com
+pkgname=stream2chromecast-git
+_pkgname=stream2chromecast
+pkgver=0.6.2
+pkgrel=1
+pkgdesc="Chromecast media streamer for Linux"
+arch=('any')
+url="https://github.com/Pat-Carter/${_pkgname}"
+license=('GPL')
+depends=('python2>=2.7.0')
+optdepends=('ffmpeg: realtime transcoding support')
+provides=('stream2chromecast')
+conflicts=("${_pkgname}")
+source=("git+https://github.com/Pat-Carter/${_pkgname}.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${_pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ (
+ regex="VERSION = \"([0-9\.]+)\""
+ while read line
+ do
+ if [[ $line =~ $regex ]]
+ then
+ echo "${BASH_REMATCH[1]}"
+ break
+ fi
+ done < stream2chromecast.py
+
+ )
+ )
+}
+
+package() {
+ cd "${srcdir}/${_pkgname}"
+ sed -i '1s/env python/env python2/' stream2chromecast.py #requires python2
+ install -D -m755 stream2chromecast.py "${pkgdir}/usr/bin/stream2chromecast"
+ install -D -m644 cc_device_finder.py "${pkgdir}/usr/lib/python2.7/site-packages/cc_device_finder.py"
+ install -D -m644 cc_media_controller.py "${pkgdir}/usr/lib/python2.7/site-packages/cc_media_controller.py"
+ install -D -m644 cc_message.py "${pkgdir}/usr/lib/python2.7/site-packages/cc_message.py"
+}